Bug 145002 - databases/postgresql83-client : libpgport.a is missing although listed in pg_config --libs
databases/postgresql83-client : libpgport.a is missing although listed in pg_...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Palle Girgensohn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 10:00 UTC by Julien Cigar
Modified: 2011-02-05 16:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Cigar 2010-03-24 10:00:12 UTC
I have databases/postgresql83-client installed on a machine (without the -server), when I :

jcigar@bccm-it ~ % pg_config --libs
-lpgport -lssl -lcrypto -lz -lreadline -lcrypt -lm 

-lpgport is listed, although /usr/local/lib/libpgport.a is missing. This file is only provided by the -server port. This result in build failures where pg_config is used (for example PR 144985) unless you install the -server port (but then there is no interest to keep separate -client and a -server port).

pg_config is a problem in itself because of confusion over whether it reflects the server build or the client, it really needs splitting into two : a server version that reflects what is needed to build server modules, and a client version ... ?
Comment 1 Mark Linimon freebsd_committer 2010-05-01 19:30:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer.
Comment 2 dfilter freebsd_committer 2010-10-07 07:58:15 UTC
girgen      2010-10-07 06:58:10 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
    databases/postgresql74-server Makefile distinfo 
    databases/postgresql80-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql81-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql82-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql83-server Makefile distinfo 
                                  pkg-plist-server 
    databases/postgresql84-client Makefile 
    databases/postgresql84-server Makefile distinfo 
                                  pkg-plist-client 
                                  pkg-plist-server 
    databases/postgresql90-client Makefile 
    databases/postgresql90-contrib Makefile 
    databases/postgresql90-server Makefile distinfo 
                                  pkg-plist-client 
                                  pkg-plist-contrib 
                                  pkg-plist-server 
    databases/postgresql90-server/files 
                                        patch-src:backend:utils:misc:postgresql.conf.sample 
  Log:
  Update all PostgreSQL ports to latest versions.
  
  Also, try to break the previous 1:1 relation between FreeBSD system and
  PostgreSQL versions installed. Use different PREFIX:es to install
  different versions on the same system.
  
  PR: ports/132402, ports/145002, ports/146657
  
  Revision  Changes    Path
  1.908     +3 -0      ports/databases/Makefile
  1.164     +7 -6      ports/databases/postgresql74-server/Makefile
  1.56      +3 -3      ports/databases/postgresql74-server/distinfo
  1.185     +12 -7     ports/databases/postgresql80-server/Makefile
  1.68      +3 -3      ports/databases/postgresql80-server/distinfo
  1.17      +2 -0      ports/databases/postgresql80-server/pkg-plist-server
  1.190     +13 -7     ports/databases/postgresql81-server/Makefile
  1.68      +3 -3      ports/databases/postgresql81-server/distinfo
  1.17      +2 -0      ports/databases/postgresql81-server/pkg-plist-server
  1.191     +10 -8     ports/databases/postgresql82-server/Makefile
  1.66      +3 -3      ports/databases/postgresql82-server/distinfo
  1.19      +2 -0      ports/databases/postgresql82-server/pkg-plist-server
  1.201     +17 -10    ports/databases/postgresql83-server/Makefile
  1.75      +3 -3      ports/databases/postgresql83-server/distinfo
  1.25      +2 -0      ports/databases/postgresql83-server/pkg-plist-server
  1.4       +1 -1      ports/databases/postgresql84-client/Makefile
  1.211     +18 -13    ports/databases/postgresql84-server/Makefile
  1.78      +3 -3      ports/databases/postgresql84-server/distinfo
  1.19      +12 -2     ports/databases/postgresql84-server/pkg-plist-client
  1.29      +27 -16    ports/databases/postgresql84-server/pkg-plist-server
  1.2       +1 -1      ports/databases/postgresql90-client/Makefile
  1.2       +1 -0      ports/databases/postgresql90-contrib/Makefile
  1.204     +28 -10    ports/databases/postgresql90-server/Makefile
  1.78      +3 -3      ports/databases/postgresql90-server/distinfo
  1.8       +7 -7      ports/databases/postgresql90-server/files/patch-src:backend:utils:misc:postgresql.conf.sample
  1.19      +5 -2      ports/databases/postgresql90-server/pkg-plist-client
  1.12      +1 -0      ports/databases/postgresql90-server/pkg-plist-contrib
  1.28      +3 -2      ports/databases/postgresql90-server/pkg-plist-server
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 girgen 2010-10-07 08:24:08 UTC
I have changed this for 8.4 and 9.0, so the libpgport.a is installed from 
the client port, together with the pg_config binary.

I will change this for the other 8.x ports shortly.

Palle
Comment 4 Martin Wilke freebsd_committer 2011-02-05 06:13:28 UTC
State Changed
From-To: open->feedback

any process here? if not let close
Comment 5 Martin Wilke freebsd_committer 2011-02-05 16:42:09 UTC
State Changed
From-To: feedback->closed

close, submitter confirmed all there now.